clang-tools 10.0.0

Public Member Functions | List of all members
clang::clangd::URIDistance Class Reference

`#include <FileDistance.h>`

## Public Member Functions
| URIDistance (llvm::StringMap< SourceParams > Sources, const FileDistanceOptions &Opts={})
unsigned | distance (llvm::StringRef URI)

## Detailed Description

Definition at line 93 of file FileDistance.h.

## Constructor & Destructor Documentation

## ◆ URIDistance()

clang::clangd::URIDistance::URIDistance | ( | llvm::StringMap< SourceParams > | Sources,
|  | const FileDistanceOptions & | Opts = `{}`
| ) |  |
| inline

Definition at line 96 of file FileDistance.h.

## Member Function Documentation

## ◆ distance()

unsigned clang::clangd::URIDistance::distance | ( | llvm::StringRef | URI | ) |

Definition at line 149 of file FileDistance.cpp.

References clang::clangd::FileDistance::distance(), dlog, clang::clangd::hash_value(), clang::clangd::log(), and clang::clangd::URI::parse().

Referenced by clang::clangd::uriProximity().

The documentation for this class was generated from the following files:

- FileDistance.h
- FileDistance.cpp